package com.dragonsoft.dcuc.approvegateway;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.cloud.netflix.zuul.EnableZuulProxy;
import org.springframework.cloud.netflix.zuul.EnableZuulServer;

@SpringBootApplication(scanBasePackages = "com.dragonsoft.*")
@EntityScan(basePackages = "com.dragonsoft.*")
@EnableZuulProxy
@EnableZuulServer
public class ApproveGatewayApplication {

    public static void main(String[] args) {
        SpringApplication.run(ApproveGatewayApplication.class, args);
    }

}
